<?php

namespace App\Models;

use App\Models\Pop;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class NewLineRequest extends Model
{
    use HasFactory;

    public function pop()
    {
        return $this->belongsTo(Pop::class, 'pop_id');
    }

    public function package()
    {
        return $this->belongsTo(Packages::class, 'package_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}
